Bug 728461 - AMD Radeon HD 6850M [1002:68a8] device not found in pci.ids. pci.ids needs a refresh
Summary: AMD Radeon HD 6850M [1002:68a8] device not found in pci.ids. pci.ids needs a ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: hwdata
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-05 08:24 UTC by Zahir Toufie
Modified: 2011-09-11 04:30 UTC (History)
2 users (show)

Fixed In Version: hwdata-0.234-1.fc15.noarch
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-11 04:29:09 UTC


Attachments (Terms of Use)

Description Zahir Toufie 2011-08-05 08:24:18 UTC
Description of problem:
On an Acer 8950G the VGA device is not being properly listed as a known device.

lspci -nn output for the device
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Device [1002:68a8] 

Version-Release number of selected component (if applicable):
0.232-1.fc15.noarch

How reproducible:
Always with the latest hwdata rpm.

Steps to Reproduce:
1. yum update hwdata (0.232-1.fc15.noarch)
2. lspci -nn (on an Acer 8950G or similar notebook)
  
Actual results:
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Device [1002:68a8]

Expected results:
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Broadway [ATI Mobility Radeon HD 6800 Series] [1002:68a8]

Additional info:
According to the pci.ids from http://pciids.sourceforge.net/pci.ids the latest update is dated 2011-07-14 and the latest pci.ids in hwdata-0.232-1.fc15.noarch is 2010-07-14, and can thus do with a refresh.

lspci -v output for the device
01:00.0 VGA compatible controller: ATI Technologies Inc Device 68a8 (prog-if 00 [VGA controller])
        Subsystem: Acer Incorporated [ALI] Device 050a
        Flags: bus master, fast devsel, latency 0, IRQ 53
        Memory at c0000000 (64-bit, prefetchable) [size=128M]
        Memory at d0000000 (64-bit, non-prefetchable) [size=128K]
        I/O ports at 6000 [size=256]
        Expansion ROM at d0040000 [disabled] [size=128K]
        Capabilities: [50] Power Management version 3
        Capabilities: [58] Express Legacy Endpoint, MSI 00
        Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
        Kernel driver in use: fglrx_pci
        Kernel modules: fglrx

Comment 1 Zahir Toufie 2011-09-11 04:28:21 UTC
This issue is now fixed in hwdata-0.234-1.fc15.noarch which I've upgraded to today.


Note You need to log in before you can comment on or make changes to this bug.